POST Attach Subscribers to Companies​
POST
/companies/attach-subscribers
Attach one or more contacts (subscribers) to one or more companies. Creates the many-to-many relationship between contacts and companies. Uses the FluentCrmApi('companies')->attachContactsByIds() method internally.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Request Body​
application/json
JSON
{
"subscriber_ids": [
0
],
"company_ids": [
0
]
}
Responses​
Contacts attached successfully.
application/json
JSON
{
"message": "string",
"companies": [
{
"id": 0,
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "string",
"type": "string",
"industry": "string",
"logo": "string",
"website": "string",
"linkedin_url": "string",
"facebook_url": "string",
"twitter_url": "string",
"owner_user_id": 0,
"employees_number": 0,
"status": "string",
"contacts_count": 0,
"created_at": "string",
"updated_at": "string",
"owner": {
"id": 0,
"first_name": "string",
"last_name": "string",
"email": "string"
}
}
]
}